
@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;500;600;700;800;900;1000&display=swap');


:root{
    --background-color : rgba(46, 46, 46, 1);
    --primary-color : rgba(66, 187, 239, 1);
    --white : #fff;
    --paragraph-color : rgba(255, 255, 255, 0.64);;
    --primary-shadow : 0px 0px 62px rgba(66, 187, 239, 0.6);
    --background-text-size : 85px ; 
    --headline : 3rem;
    --headline2: 2rem;
    --paragraph : 1rem;
    --font-family : 'Cairo', sans-serif;
    --card-background : rgba(65, 65, 65, 1);
}

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: var(--font-family);
    color: var(--white);
    
}
html{
    scroll-behavior: smooth;

}
body{
    background-color: var(--background-color);

}
#hero{
    width: 100%;
    height: 100vh;

    display: flex;
    flex-direction: column;
    align-items: center;


    background: var(--background-color) url('../img/background-image.webp') no-repeat center fixed  ;
    background-size: cover;
    
}
nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 20px 10%;
    position: fixed;
    top: 0;
    z-index: 1;
    transition: 0.3s ease-in-out;
    z-index: 11111;
}
.scroll{
    transition: 0.5s ease-in-out;
    background: rgba(40, 40, 40, 0.9);
    box-shadow: 0px 2px 35px rgba(87, 87, 87, 0.638);
}
nav img{
    width: 10%;
}

.links{
    display: flex;
}
.links a,i{
    transition: 0.3s  ease-in-out;

}
.links:hover a i{
    color: var(--primary-color);

}
.links a:hover{
    color: var(--primary-color);
}
a{
    color: var(--white);
    text-decoration: none;
    padding: 10px;
}
.hero-content{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.headline h1,.headline h2{
    color: var(--white);
}
.headline h1{
    font-size: var(--headline);
    line-height: 1.8;

}
.headline h2{
    font-size: var(--headline2);
    opacity: 0.8;
    font-weight: 300;
    line-height: 1;
    text-align: center;
    
}
.hero-content a{
    margin-bottom: -113px;
    /* padding-top: 20px; */
    margin-top: 60px;
}
.btn-primary{
    background-color: var(--primary-color);
    box-shadow: var(--primary-shadow);
    padding: 7px 50px;
    border-radius: 120px;
    outline: none;
    border: none;
}
#about-us{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    color: var(--white);
    align-items: center;
    padding: 5% 0;
}
#about-us img{
    width: 35%;
}
.about-us-content h1{
    width: 80%;
    font-weight: 800;
    line-height: 1.3;
    text-align: right;
}
.about-us-content p{
    margin-top: 10px;
    width: 80%;
    text-align:justify;
    text-align-last: right;
    line-height: 194.9%;
    color: var(--paragraph-color);
    margin-top: 20px;
}
.about-us-content{
    width: 35%;
}
.background-text{
    font-size: var(--background-text-size);
    position: absolute;
    right: 21.5%;
    bottom: -38%;
    z-index: -1;
    color: rgba(255, 255, 255, 0.02);
    
}
#features{
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 68vh;
}
.cards{
    width: 80%;
    height: 300px;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 25px;
    margin-top: 40px;
}
.card{
    background-color: var(--card-background) ;
    padding: 40px 30px;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: 0.3s ease-in-out;
}
.card:hover{
    transform: scale(1.1);
}
.card i{
    font-size: 70px;
    color: var(--primary-color);
}

.card h1{
    text-transform: uppercase;
    margin-top: 20px;
}
.card p{
    text-align: center;
    font-size:  0.9rem;
    color: var(--paragraph-color);
}

#our-products{
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-evenly;
    align-items: center;
    background: var(--background-color) url('../img/image.webp') no-repeat center;
    background-size: cover;
    height: 50vh;
}
.products-content{
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}
.products-content p{
    text-align: justify;
    text-align-last: right;
    font-size: 0.9rem;
    margin-top: 10px;
    color: var(--paragraph-color);
}
.products{
    display: grid;
    /* width: 50%; */
    grid-template-columns: repeat(5,1fr);
    justify-items: center;
    gap: 25px;
}
.product{
    width: 110px;
    height: 140px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.product .image{
    background-color: var(--card-background);
    content: "";
    height: 100%;
    width: 100%;
    border-radius: 12px;
    background: var(--background-color) no-repeat center;
  
    background-size: cover;

}
.product span{
    color: var(--paragraph-color);
    
}
#product-cards{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 100px;
    padding: 139px 0 14px;
}
.product-card{
    background-color: var(--card-background);
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    width: 60%;
    height: auto;
    padding: 20px 60px;
    border-radius: 10px;
    align-items: center;
}
.product-reverse{
    flex-direction: row;
}
.product-reverse img{
    margin: 0 38px 0 0 !important;
    
}
.product-reverse .content{
    align-items: flex-start;
}
.product-reverse .content p{
    text-align-last: right;
}
.content{
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}
.content h1{
    text-transform: uppercase;
}
.content p{
    text-align: justify;
    text-align-last: right;
    color: var(--paragraph-color);
    font-size: 1;
    margin-bottom: 20px;
}
.product-card img{
    width: 21%;
    transform: scale(1.7);
    height: 12rem;
    margin-left: 38px;
    object-fit: cover;
    border-radius: 13px;
}   

#testimonials{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
.headline{
    margin-bottom: 50px;
}
.clients {
    display: flex;
    justify-content: center;
    width: 100%;
    gap: 20px;
    align-items: center;
}
.client{
    width: 33%;
    
    background-color: rgba(65, 65, 65, 1);
    padding: 20px 50px 20px 40px;
}
.account{
    display: flex;
    align-items: center;
    gap: 5px;
}
.account .logo{
    width: 60px;
    height: 60px;
    background-color: aliceblue;
    border-radius: 120px;
}
.client p{
    color: var(--paragraph-color);
    width: 90%;
    font-size: 0.8rem;
    /* align-self: flex-end; */
    /* justify-self: center; */
    margin-left: 53px;
}


.Testimonials{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    margin: 5% 0;
    flex-direction: column;

}
.Testimonials-cards::-webkit-scrollbar {
    display: none;
  }

.Testimonials-cards{
    display: grid;
    max-width: 1920px;
    width: 100%;
    /* height: 370px; */
    grid-template-columns: repeat(3,1fr);
    justify-content: start;
    gap: 2%;
    /* position: relative; */
    /* left: 3%; */
    /* right: 55% */
    overflow-x: scroll;
    margin-bottom: 20px;
    overflow-y: hidden;
}
.Tcard{
    width: 600px;
    /* padding: 25px 26px; */
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    height: 100%;
    /* overflow: hidden; */
    /* margin-left: 25%; */
    justify-content: flex-start;
    opacity: 0.5;
    height: 100%;
    }

.Testimonials-cards div img{
    width: 11% !important;
    /* max-width: 20%; */
    position: relative;
    top: 15%;
}
.user{
    display: flex;
    flex-direction: row;
    padding: 0;
}
.Username{
    display: flex;
    align-items: center;
    gap: 13px;
}
.image{
    content: '';
    display:inline-block;
    width: 50px;
    height: 50px;
    background: #9B191D;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 120px;
}
.leftImgCard{
    background-image: url('../img/client1.png');
}
.centerImgCard{
    background-image: url('../img/client2.png');
}
.rightImgCard{
    background-image: url('../img/client3.png');
}
.Username div{
    line-height: 1;
}
.Testimonials-content{
    background-color: rgba(65, 65, 65, 1);
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    /* justify-content: center; */
    padding: 30px;
    border-radius: 17px;
    width: 600px;
    height: 100%;
}

.Testimonials-content h1{
    font-size: 18px;
    color: var(--orange);
    font-weight: 500;
    /* margin-top: 110px; */
}
.Testimonials-content p{
    font-size: 16px;
    line-height: 2.3;
    /* text-align: center; */
    font-weight: 200;
    /* margin: 30px 0 30px 0; */
    width: 90%;
    margin-left: 9.5%;
    color: rgba(255, 255, 255, 0.64);
    /* padding: 6px 0 15px; */
    height: 80px;
    overflow: auto;
    padding-top: 6px;
}

.Testimonials-content span{
    font-size: 12.5px;
    font-weight: 300;
}   

.slid-galary{
    display: flex;
    justify-content: space-between;
    width: 76px;
}
.slid-galary div{
    width: 17px;
    height: 17px;
    background-color: rgba(94, 94, 94, 1);
    border-radius: 120px;
    cursor: pointer;
}
.slider-active{
    background-color: var(--bar-orange);
}
.activeCard{
    opacity: 1 !important;
 
}


.voiceTrack{
    /* justify-self: flex-end; */
    display: flex;
    /* width: 200%; */
    gap: 5px;
    margin-left: 8%;
    align-items: center;
    /* margin-top: 10%; */
    margin-top: auto;
    padding-top: 20px;
}
#playbtn,#playbtn2,#playbtn3{
    width: 10% !important;
    cursor: pointer;
    position: static !important;
}


.stars i{
    color:rgba(255, 212, 59, 0.98);
}



.notivications{
    display: flex;
    gap: 12px;
}
.notivications div{
    width: 45px;
    height: 45px;
    border-radius: 7px;
    background-color: rgb(80, 79, 79);
    transition: 0.3s  ease-in-out;
    overflow: hidden;
    /* background-image: url(./assets/img/photo_2022-12-15_22-22-58.jpg); */
    /* background-size: cover; */
}
div .line{
    width: 100px;
    height: 30px;
    background-color: #ffffff7d;
    filter: brightness(20px);
    transform: rotate(135deg);
    position: relative;
    top: -23px;
    left: -68px;
    animation: test_reverse 0.5s ease-in-out forwards;
    background-image: none;

}
.slider-active{
    background-color: var(--bar-orange);
}

.notivications div:hover{
    transform: scale(1.2);
}
.notivications div:hover .line{
    animation: test 0.3s ease-in-out forwards;

}
@keyframes test {
    0%{
        top: -23px;
        left: -68px;  
    }
    100%{
        top: 53px;
        left: 24px;
    }
    
}
@keyframes test_reverse {
    0%{
  
        top: 53px;
        left: 24px;
    }
    100%{
        top: -23px;
        left: -68px;
    }
    
}



#contact-us{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#contact-us p{
    color: rgba(255, 255, 255, 0.64);
    font-size: 14px;
}
.notivications{
    margin: 20px 0;
}
.notivications div{
    cursor: pointer;
}
.notivications div i{
    position: relative;
    bottom: 45%;
    left: 21%;
    font-size: 28px;
}


.notivications div:nth-child(2) i{
    position: relative;
    bottom: 53%;
    left: 21%;
    font-size: 33px;
}

.notivications div:nth-child(4) i{
    position: relative;
    bottom: 46%;
    left: 30%;
    font-size: 27px;
}


#contact{
    width: 72%;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    background-color: rgba(65, 65, 65, 1);
    gap: 28px;
    padding: 70px 20px;
    border-radius: 20px;
    margin: 12px 0 51px;
}
#contact img{
    width: 34%;
    object-fit: contain;
    margin-right: 3%;
    /* padding: 20px; */
}

.form-groups{
    /* padding: 10px; */
    width: 50%;
}
.inputBox{
    position: relative;
    padding: 20px 20px 1px;
    width: 50%;
}
.inputBox input,textarea{
    width: 100%;
    background-color: transparent;
    padding: 20px 0 10px;
    outline: none;
    border: none;
    border-bottom: 1px solid rgba(124, 124, 124, 1);
    color: rgba(255, 255, 255, 0.567);
    direction:RTL;
    transition: 0.5s;

}
.inputBox span{
    position: absolute;
    right: 7%;
    top: 37%;
    pointer-events: none;
    transition: 0.3s ;

}
.inputBox input:focus,textarea:focus{
    color: white;
}
.inputBox input:focus ~ span,
.inputBox input:valid ~ span{
    color : rgba(66, 187, 239, 1);
    transform: translatey(-25px);

    
}
.inputBox textarea:focus ~ span,
.inputBox textarea:valid ~ span{
    color : rgba(66, 187, 239, 1);
    transform: translatey(-28px);
    
}
.inputBox input:focus,
.inputBox input:valid,
 select:focus,
 select:valid {
    border-bottom: 1px solid rgba(66, 187, 239, 1);

}

.form-line{
    display: flex;
}
.fullInput{
    width: 100%;
}
.fullInput span{
    right: 4% !important;
}

select{
    width: 92.5%;
    background-color: transparent;
    padding: 20px 0 10px;
    outline: none;
    border: none;
    border-bottom: 1px solid rgba(124, 124, 124, 1);
    direction:RTL;
    transition: 0.5s;
    margin-left: 4%;
}
option{
    background-color: rgba(65, 65, 65, 1);
}
.textarea{
    padding-top: 20px;
}
.textarea textarea{
    resize: none;
}
.textarea span{
    bottom: 0 !important;
}
.form-groups{
    display: flex;
    flex-direction: column;
}
.submitBtn{
    margin: 20px 15px 0 0;
    align-self: flex-end;
}

footer{
    display: flex;
    padding: 25px 60px;

    justify-content: space-between;
    border-top: 1px solid rgba(65, 65, 65, 1);
}
footer p{
    color: rgba(255, 255, 255, 0.692);
}
footer p a{
    color: rgba(66, 187, 239, 1);
    text-decoration: none;
    padding: 0;
}
.mobile-nav{
    display: none;
}
.mobile-nav i{
    font-size: 1.3em;
}
.mobile-nav{
    /* display: none; */
    position: fixed;
    right: -80%;
    background-color: var(--background-color);
    width: 80%;
    height: 100vh;
    z-index: 100000000;
  
}
.mobile-nav .links i{
    align-self: flex-start;
}
.mobile-nav .links{
    width: 100%;
    height: 40vh;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    padding: 40px 33px 0px 23px;
    justify-content: space-between;

}
.mobile-nav .links a{
    font-size: 1.3rem;
}
.navIcon{
    display: none;
}
@keyframes openNav{
    0%{
        right: -80%;
    }
    100%{
        right:0;
    }   
}
@keyframes closeNav{
    0%{
        right:0;
    }
    100%{
        right:-80%;
    }   
}
@media screen and (max-width: 1024px){
    .cards{
        width: 85%;
    }
}

@media screen and (max-width: 600px) {
    .navIcon{
        display: block;
    }
    .mobile-nav{
        display: block;
    }
    nav img {
        width: 30%;
    }
    .links{
        display: none;
    }
    .headline h1 {
        font-size: 29px;
    }
    .headline h2 {
        font-size: 20px;
    }
    .about-us-content {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #about-us {flex-direction: column;}

    .about-us-content h1 {
        width: 90%;
        text-align: center;
        font-size: 20px;
    }
    .about-us-content p {
    text-align-last: center;
    line-height: 194.9%;
    color: var(--paragraph-color);

    font-size: 12px;
    }
    #about-us img {
        width: 100%;
    }
    .cards {
        width: 85%;
        height: auto;
        grid-template-rows: repeat(3,1fr);
        grid-template-columns: none;
        gap: 25px;
    }
    .card{
        height: 360px;
    }
    #features {
        height: auto;
        width: 100%;
        padding-bottom: 40px;
    }
    #our-products {
    flex-direction: column;
    height: 20vh;
}
    .products-content {
        width: 90%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .products-content p {
        font-size: 0.5rem;
    }
    
    .products {
        margin-top: 10px;
        display: none;
        width: 90%;
        grid-template-columns: repeat(3,1fr);
        grid-template-rows: repeat(2,1fr);
        gap: 0;
        row-gap: 10px;
    }
    .product {
        width: 90%;
        height: 154px;

    }
    .product span{
        font-size: 14px;
    }

    .product-card {
        flex-direction: column-reverse;
        width: 91%;
        height: 430px;
        padding: 20px 29px
        }
    .content {
        width: 100%;
        align-items: center !important;
    }
    .product-card img {
        width: 95%;
        transform: scale(1.3) !important;
        margin: 0 !important;
        margin-bottom: 38px;
        padding: 0px 29px 20px;

    }
    .Tcard {
        width: 100%;
    }
    #playbtn, #playbtn2, #playbtn3 {
        width: 25% !important;
    }
    .voiceTrack {
        margin: 0;
    }
    .slid-galary {
        width: 19%;
    }
    .slid-galary div {
        width: 14px;
        height: 14px;
    }
    #contact {
        width: 91%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: none;
        padding: 31px 20px;

    }
    #contact img {
        width: 94%;
    }
    .form-groups {
        width: 100%;
    }
    .inputBox {
        padding: 20px 3px 1px;
    }

    .submitBtn{
        margin:20px 0 0;
        align-self: center;
    }
    footer{
        padding: 25px 12px;
    }
    footer p{
        font-size: 0.6rem;

    }
    .Testimonials-content {
        width: 240px;
        height: 100%;
    
    }
    .Testimonials-content h1 {
        font-size: 0.8rem;
    }
}
.links .btn-primary{
    padding: 10px 45px;
    font-size: 15px;
}

.links .btn-primary:hover{
    background-color: #ffffff;
}

::-webkit-scrollbar {
    width: 10px;
  }
  
  ::-webkit-scrollbar-track {
    background: transparent; 
  }
   
  ::-webkit-scrollbar-thumb {
    background: #888; 
    border-radius: 120px;
    width: 2px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555; }



    .loader{
        width: 100%;
        height: 100%;
        background-color: rgb(27, 27, 27);
        position:fixed;
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 111111111111111;
   }

   @keyframes loading {
        0%{
            height: 100%;
            

        }
        100%{
            height: 0;
            opacity: 0;
            visibility: hidden;
        }
   }